import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentProcedureWhereInputObjectSchema as AppointmentProcedureWhereInputObjectSchema } from './AppointmentProcedureWhereInput.schema'

const makeSchema = () => z.object({
  where: z.lazy(() => AppointmentProcedureWhereInputObjectSchema).optional()
}).strict();
export const PatientCountOutputTypeCountProceduresArgsObjectSchema = makeSchema();
export const PatientCountOutputTypeCountProceduresArgsObjectZodSchema = makeSchema();
